import * as ts from 'typescript';
import { FormatSettings, PropertyAssignment, RouteLike, TypeScriptFileUpdate } from '@igniteui/cli-core';
export declare class WebComponentsTypeScriptFileUpdate extends TypeScriptFileUpdate {
    filePath: string;
    constructor(filePath: string, formatSettings?: FormatSettings);
    addRoute(route: RouteLike, multiline?: boolean, prepend?: boolean, anchorElement?: PropertyAssignment): ts.SourceFile;
    addChildRoute(parentPath: string, route: RouteLike, asIdentifier?: boolean, multiline?: boolean, prepend?: boolean, anchorElement?: PropertyAssignment): ts.SourceFile;
    protected addRouteEntry(route: RouteLike, visitCondition: (node: ts.Node) => boolean, multiline: boolean, prepend: boolean, anchorElement: PropertyAssignment): ts.SourceFile;
    protected addRedirectRouteEntry(route: RouteLike, visitCondition: (node: ts.Node) => boolean, multiline: boolean, prepend: boolean, anchorElement: PropertyAssignment): ts.SourceFile;
    protected addChildRouteEntry(route: RouteLike, asIdentifier?: boolean, multiline?: boolean, prepend?: boolean): ts.SourceFile;
}
